<!DOCTYPE html>
<!DOCTYPE html>
<html>
<head>
  <title>Top Up History</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
    <style type="text/css">
          table {
            border-collapse: collapse;
            width: 80%;

          }

          th, td {
            text-align: left;
            padding: 10px;

          }

          tr:nth-child(even) {background-color: #f2f2f2;}
          td.end{
            border-bottom-style: solid;
            border-bottom-width: thin;
          }
          h1{
            padding : 20px
          }
</style>
</head>
<body>
<nav class="navbar navbar-default">
  <div class="container-fluid">
    <div class="navbar-header">
      <a class="navbar-brand">Entry Task
        {% if messages %}
          <ul class="messages" style="font-size:14px;">
            {% for message in messages %}
            {{ message }}
            {% endfor %}
          </ul>{% endif %}
      </a>
    </div>
    <ul class="nav navbar-nav">
      <li ><a href="{% url 'home' %}">Home</a></li>
      <li><a href="{% url 'transferhistory' %}">Transaction History</a></li>
      <li class="active"><a href="{% url 'topuphistory' %}">Top Up History</a></li>
      <li><a href="{% url 'transfer' %}">Transaction</a></li>
      <li><a href="{% url 'topup' %}">Top Up</a></li>
      <li><a href="{% url 'logout' %}">Logout</a></li>
    </ul>
  </div>
</nav>
<h1><u>Top Up History</u></h1>
    <div class="container">
        <table class="striped" style="font-size:20px;">
            <tr class="header">
                <td><b>Top Up Amount</b></td>
                <td><b>Top Up Time</b></td>
                <td><b>Top Up Status</b></td>
                <td><b>Account Balance</b></td>
            </tr>
            {% for gettopuphistorys in gettopuphistory %}
            <tr>
                <td>{{gettopuphistorys.top_up_amount}}</td>
                <td>{{gettopuphistorys.top_up_time}}</td>
                <td>{{gettopuphistorys.top_up_status}}</td>
                <td>{{gettopuphistorys.top_up_account_balance}}</td>
            </tr>
            {% endfor %}
        </table>
    </div>

</body>
</html>